#pragma once
class CInput
{

#pragma region Singleton
private:
	static CInput * instance;
public:
	static CInput * GetInstance(void) {
		if (instance == NULL) {
			instance = new CInput();
		}
		return instance;
	}
#pragma endregion

public:
	void HandleInput(void);
	bool UserWantsToExit(void);

	int MouseX;
	int MouseY;

	static void GLFWCALL OnMouseMove(int x, int y);

private:
	CInput(void);
	~CInput(void);
};

