#pragma once
#include "node.h"

class CLight :
	public CNode
{
public:
	CLight(void);
	~CLight(void);
	
	void Init(void);
	void Bind(int id);

	glm::vec3 Ambient;
	glm::vec3 Diffuse;
	glm::vec3 Specular;
	
	static void SetLightsNumber(int n);
};

