#pragma once
#include "node.h"

struct SParticle {
	glm::vec3 Position;
};

class CParticleSpawner :
	public CRenderableNode
{
public:
	CParticleSpawner(void);
	~CParticleSpawner(void);

	void Update(void);

	int MaxParticles;
	glm::vec2 ParticleSize;

protected:
	void Init(void);
	void PrepareGeometryBuffer(void);
	void PrepareGeometryPointers(void);
	void UpdateModelMatrix(void);
	void BindUniforms(void);
	void Render(void);

	void UpdateGeometryBuffer(void);

	std::vector<SParticle *> Particles;

	static CShadingProgram * ParticleShadingProgram;
};

